@echo off

set /p ezsrdir="Input EzSR Directory (eg: C:\EzSR): "

if exist %ezsrdir%\cfg (
goto begin
) else (
echo Upgrade EzSR failly finished, Please verify EzSR directory is correct.
goto end
)

:begin

echo start backup EzSR!
set cuDate=%date:~0,4%-%date:~5,2%-%date:~8,2%
xcopy %ezsrdir%\cfg\marketData_request.xml  %ezsrdir%\upgradeBackup_%cuDate%\cfg\ /f /e /y >%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%

echo start upgrade EzSR!
xcopy .\cfg\SSE_ZY_File_Templates.xml %ezsrdir%\cfg\ /f/e/y >>%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%
xcopy .\cfg\SSE_ZY_DB_Templates.xml %ezsrdir%\cfg\ /f/e/y >>%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%
xcopy .\cfg\SSE_ZY_MarketData_Templates.xml %ezsrdir%\cfg\ /f/e/y >>%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%
xcopy .\cfg\marketData_request.xml %ezsrdir%\cfg\marketData_request.xml /f/e/y >>%ezsrdir%\logs\EzSR_upgrade.log.%cuDate%

for /f "delims=" %%a in ("%ezsrdir%\cfg\SSE_ZY_File_Templates.xml") do set filedate=%%~ta
set fileyear=%filedate:~0,4%%filedate:~5,2%
for /f "delims=" %%a in ("%ezsrdir%\cfg\SSE_ZY_DB_Templates.xml") do set dbdate=%%~ta
set dbyear=%dbdate:~0,4%%dbdate:~5,2%
for /f "delims=" %%a in ("%ezsrdir%\cfg\SSE_ZY_MarketData_Templates.xml") do set mtdate=%%~ta
set mtyear=%mtdate:~0,4%%mtdate:~5,2%
for /f "delims=" %%a in ("%ezsrdir%\cfg\marketData_request.xml") do set mrdate=%%~ta
set mryear=%mrdate:~0,4%%mrdate:~5,2%

if "%fileyear%"=="201901" if "%dbyear%"=="201906" if "%mtyear%"=="201412" if "%mryear%"=="201802" (
echo Upgrade EzSR successfully finished!
) else (
echo Upgrade EzSR failly finished!
) else (
echo Upgrade EzSR failly finished!
) else (
echo Upgrade EzSR failly finished!
) else (
echo Upgrade EzSR failly finished!
)

pause
exit

:end
pause
exit
